#AdvantEDGE
version: 1.0.0
repo:
  name: AdvantEDGE
  core:
    meep-user:
      service-account: charts/meep-user/meep-user-serviceaccount.yaml
      cluster-role-binding: charts/meep-user/meep-user-clusterrolebinding.yaml
    meep-ctrl-engine:
      src: src/meep-ctrl-engine
      bin: bin/meep-ctrl-engine
      chart: charts/meep-ctrl-engine
    meep-initializer:
      src: src/meep-initializer
      bin: bin/meep-initializer
      chart: charts/meep-initializer
    meep-mg-manager:
      src: src/meep-mg-manager
      bin: bin/meep-mg-manager
      chart: charts/meep-mg-manager
    meep-mon-engine:
      src: src/meep-mon-engine
      bin: bin/meep-mon-engine
      chart: charts/meep-mon-engine
    meep-tc-engine:
      src: src/meep-tc-engine
      bin: bin/meep-tc-engine
      chart: charts/meep-tc-engine
    meep-tc-sidecar:
      src: src/meep-tc-sidecar
      bin: bin/meep-tc-sidecar
    meep-virt-engine:
      src: src/meep-virt-engine
      bin: bin/meep-virt-engine
      chart: charts/meep-virt-engine
      template: charts/meep-virt-engine/virt-templates
  dep:
    elastic:
      es:
        version: 1.9.1
        values: charts/elasticsearch/elastic-values.yaml
        chart: incubator/elasticsearch
        pv: charts/elasticsearch/meep-pv-es.yaml
      es-curator:
        chart: charts/elasticsearch-curator
      kibana:
        version: 0.14.5
        values: charts/kibana/kibana-values.yaml
        chart: stable/kibana
      filebeat:
        version: 1.0.2
        values: charts/filebeat/filebeat-values.yaml
        chart: stable/filebeat
      metricbeat:
        template: charts/metricbeat/values-template.yaml
        values: charts/metricbeat/values.yaml
        chart: charts/metricbeat
    couchdb:
      chart: charts/couchdb
      pv: charts/couchdb/meep-pv-couchdb.yaml
    redis:
      version: 4.0.1
      values: charts/redis/redis-values.yaml
      chart: stable/redis
    k8s:
      kube-state-metrics:
        chart: charts/kube-state-metrics
